Retrieves a list of Users.

- Requests must specify a filter. Requests without a `filter` parameter return a `tooMany` error.
- The `filter` parameter only supports equality on `userName` (for example, `userName eq "user@domain.com"`).
- Sub-string matches (`co`, `sw`, `ew`), logical operators (`and`, `or`), and complex value filters are not supported.
- Pagination is not supported.

### HTTP request

`GET https://cloudidentityscim.googleapis.com/v1beta1/customers/{customerId}/v2/Users`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `customerId` | `string` Required. The unique identifier for the customer in Cloud Identity. The customer ID is an alphanumeric string that begins with the letter `C`, for example, `C01234abc`. To find your customer ID, see [Find your customer ID](https://support.google.com/cloudidentity/answer/10070793). |

### Query parameters

| Parameters ||
|---|---|
| `filter` | `string` The filter parameter. Currently only supports equality on userName. |

### Request body

The request body must be empty.

### Response body

Response message from listing Users.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "schemas": [ string ], "resources": [ { object (`https://docs.cloud.google.com/identity/docs/scim/reference/rest/v1beta1/customers.v2.Users#User`) } ], "totalResults": integer } ``` |

| Fields ||
|---|---|
| `schemas[]` | `string` The schemas for the returned resources. |
| `resources[]` | ``object (`https://docs.cloud.google.com/identity/docs/scim/reference/rest/v1beta1/customers.v2.Users#User`)`` The list of requested resources. |
| `totalResults` | `integer` The total number of results. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/admin.directory.user.readonly`
- `https://www.googleapis.com/auth/admin.directory.user`

For more information, see the [Authorization guide](https://docs.cloud.google.com/workspace/guides/configure-oauth-consent).